import { defineStore } from 'pinia'
import { tools } from '@tools'
import { toolsext } from '@store/Modules/toolsext'

export interface ITest {
  finishLoading: boolean
}

export const useTestStore = defineStore(
  'TestStore',
  {
    state: (): ITest => ({
      finishLoading: false,
    }),

    getters: {

      isMyLang: (state: ITest) => (rec: { lang: string }): boolean => {
        if (!rec.lang) return true

        return (rec.lang === toolsext.getLocale(false) || toolsext.getLocale() === '')
      },

    },

    actions: {
      testProva() {
        let arrpagesroute = null

        arrpagesroute = this.isMyLang({ lang: 'test' })
      },

    },
  })
